import { IMedia } from '../../models/IMedia';
import { Config } from './Config';
import { ISubtitleResolver } from '../../models/ISubtitleResolver';
import { IMediaMetadata } from '../../models/IMediaMetadata';
import { IStream } from '../../models/IStream';
import { ISubtitle } from '../../models/ISubtitle';
export declare class Media implements IMedia {
    private _config;
    private _subtitleResolver;
    constructor(config: Config, subtitleResolver: ISubtitleResolver);
    getPingIntervals(): number[];
    isAutoPlay(): boolean;
    getStartTime(): number;
    getId(): string;
    getMetadata(): IMediaMetadata;
    getStream(): IStream;
    getNextVideoUrl(): string;
    getSubtitles(): ISubtitle[];
}
